import { ReactNode } from 'react';
import type { Context, LoadStatus, Route } from './types';
export declare function ViewProvider(props: {
    children: ReactNode;
    value: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
/**
 * @group Hooks
 * @see {@link View View Component}
 */
export declare function useView(): ReactNode;
/**
 * Used for route component to render child route component.
 * It just render the return of {@link useView}
 * @group Components
 */
export declare function View(): ReactNode;
/**
 * @group Hooks
 */
export declare function useNamedData(): Record<string, any>;
export declare function DataProvider({ children, name, data }: {
    children: ReactNode;
    data: any;
    name?: string;
}): import("react/jsx-runtime").JSX.Element;
export declare const MatchedContext: import("react").Context<Context<Route> | undefined>;
/**
 * @group Hooks
 */
export declare function useMatched(): Context<Route>;
/**
 * @group Hooks
 */
export declare function useData(name?: string): any;
export declare const LoadingContext: import("./types").StateContext<LoadStatus | undefined>;
/**
 * @group Hooks
 */
export declare function useLoading(): LoadStatus | undefined;
/**
 * @group Hooks
 */
export declare function useLoadingSetter(): (v: LoadStatus | undefined) => void;
